/* PolygonPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Tue Nov 26 17:48:12 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYModel;

/**
 * A model implementation for polygon chart
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class PolygonPlotImpl extends PlotEngineImpl {
	public PolygonPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof XYModel) {
			return drawXYModel((XYModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
